Group: Video
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Copyright (c) 2006-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:		DivFix++
Summary:		Repair broken AVI file streams by rebuilding index part of file
Version:		0.34
Release:		alt2_34
License:		GPLv2+
URL:			http://divfixpp.sourceforge.net/
Source0:		http://downloads.sourceforge.net/divfixpp/%{name}_v%{version}-src.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:	dos2unix
BuildRequires:	libwxGTK3.0-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext gettext-tools
Source44: import.info

%description
This program designed to repair broken AVI file streams by
rebuilding index part of file. This is very useful when trying
to preview movies which has no index part, like some files are
currently downloading from ed2k or bittorent networks.

DivFix++ has supports CLI tools, this means you can fix, preview
and delete movies automatically via script (by using argument
parameters...)

DivFix++ program code supports lots of operating system, because
it's writen by cross-platform API, wxWidgets.

%prep
%setup -q -n %{name}_v%{version}
sed -i.flags -e 's|-Os||' makefile

dos2unix		docs/*
chmod	644	docs/*

%build
#make %{?_smp_mflags} WXCONFIG=wx-config
# Correct handle build flags
%make_build WXCONFIG=wx-config CPP="g++ %{optflags}"

%install

install -p -dm 755 %{buildroot}%{_bindir}
install -p -m 755 %{name} \
	%{buildroot}%{_bindir}

for i in cs_CZ hu ja tr; do
	install -p -dm 755 %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
	install -p -m 644 locale/$i/DivFix++.mo \
		%{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
done

# icon and menu-entry
install -p -dm 755 %{buildroot}%{_datadir}/pixmaps
install -p -m 644 resources/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

cat > %{name}.desktop << EOF
[Desktop Entry]
Comment=A program to repair broken AVI file streams by rebuilding index part of file
Name=%{name}
GenericName=
Type=Application
Exec=%{name}
Icon=%{name}
Encoding=UTF-8
Categories=Video;AudioVideo;X-AudioVideoTools;
EOF

desktop-file-install --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications	\
	--mode 0644							\
	%{name}.desktop


%find_lang %{name}

%files -f %{name}.lang
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.34-alt2_34
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.34-alt2_33
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.34-alt2_32
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.34-alt2_31
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_31
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_30
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_29
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_28
- update to new release by fcimport

* Sun Sep 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_27
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_26
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_25
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_24
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_22
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_21
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_20
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_18
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_17
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_16
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_15
- update to new release by fcimport

* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_14
- initial fc import

